/**************************************************************************/
/* FILE NAME: main.c                       COPYRIGHT (c) Freescale 2004   */
/*                                                All Rights Reserved     */
/* DESCRIPTION:                                                           */
/* This file caps the MPC5500cfg initialization with the interrupt and    */
/* exception blink program.                                               */
/*========================================================================*/
/* ORIGINAL AUTHOR: Jack Yokubaitis                                       */
/* REV      AUTHOR        DATE        DESCRIPTION OF CHANGE               */
/* ---   -----------    ----------    ---------------------               */
/* 0.1   J. Yokubaitis   7/Oct/03      Initial version.                   */
/* 0.2   G. Jackson     13/Nov/03      Change from blink to maininit.c    */
/* 0.3   G. Jackson     10/Dec/03      Change to mainrecfg.c              */
/* 0.4   G. Jackson     08/Apr/04      Change to maincfg.c                */
/* 0.5   G. Jackson     15/Apr/04      Change to main.c                   */
/* 1.0   G. Jackson     26/Apr/04      Moved application code to          */
/*                                       mpc5500_demo.c                   */
/* 1.1   G. Jackson     12/Jul/04      Convert to interrupt for blink     */
/**************************************************************************/

#include "mpc5554.h"
#include "mpc5500_ccdcfg.h"
#include "mpc5500_xcptn.h"

#include "mpc5500_usrccdcfg.h"

/**********************************************************/
/*   Prototype for testing ".data" and ".sdata" data      */

void use_elements(void);

/***********************************************************/
/*   Declarations to create ".data" and ".sdata" data      */
/***********************************************************/

/* An array outside of a function that will fall into ".data" section */
uint32_t test[] = {1,2,3,4,5,6,7,8};
/* Initialization parameters -- will fall into ".sdata" section      */
uint8_t  num_one = 14;   
uint16_t num_two = 3;


/********************************************/
/*                 main( )                  */
/********************************************/

int main (void) { 
 
/* The code located here in "main()" may be replaced with */
/*  your application code.                                */
    int cnt = 0;
    init_LED2(PIN_EMIOS12, PIN_EMIOS13);   // Initialize the GPIO ports for output.

/* The following function call, when commented out, will bypass the */
/*  interrupt configuration and use example.                        */
    xcptn_xmpl(); 
 
/* The following function call uses ".data" and ".sdata" elements   */
/*  to force their inclusion at link time. Comment out or delete    */
/*  this function call to bypass example use of initialized data.   */
   use_elements(); 
    

  while (1) { 
    cnt = 0;
    while ( cnt < 10000000 ) {            // Delay count 
    cnt += 1;
                         }
    invert_LED2(PIN_EMIOS12, PIN_EMIOS13); // Invert MPIO output LEDs
      }	/* Loop forever */

	return 0;
} /* end of main() */



/**********************************************************/
/*    Function for testing ".data" and ".sdata" data      */
void use_elements() {
    int x;     /* .sdata variables */
    int z;     /* .data variables  */

    x = num_one + num_two;
    z=test[2] + test[4];
}

